/* declaration de la police du site */
@font-face {
    font-family: cabin;
    src: url(font/Cabin/static/Cabin-Bold.ttf);
}
@font-face {
    font-family: lato;
    src: url(font/Lato/Lato-Regular.ttf);
}
body {
    font-family: 'lato';
}
*{
    font-family: 'lato';
}
p{
    font-size: 16px;
}
h1{font-size: 29px;}
h2{font-size: 26px;}
h3{font-size: 17px;}
h6{font-size: 12px; text-transform: uppercase;}
@media (min-width:1300px) {
p{font-size: 18px;}
h1{font-size: 45px;}
h2{font-size: 24px;}
h3{font-size: 20px;}
h6{font-size: 16px; text-transform: uppercase;}
}
@media (max-width:768px) {
p{font-size: 12px;}
h1{font-size: 27px;}
h2{font-size: 21px;}
h3{font-size: 15px;}
h6{font-size: 10px;}
}
@media (max-width:480px) {
p{font-size: 12px;}
h1{font-size: 18px;}
h2{font-size: 16px;}
h3{font-size: 14px;}
h6{font-size: 10px;}
}
/* Définition de la variable des couleurs  */
:root {
    --claire: #46AFCF;
    --vert: #366228;
    --bleu: #03466E;
    --rouge: #9D0F07; 
}
/**********************************************************************/
/* Style pour la bannière */
.banner {
    height: 750px;
    margin-top: 5%;
    background: url('images/expertises/hero.jpg') no-repeat top center;
    background-size: cover;
    color: white;
    padding: 50px 20px;
    text-align: center;
    margin-bottom: 6%;
}

/* Conteneur de contenu de la bannière */
.banner-content {
    max-width: 300px;
    height: 100px;
    margin: 0 auto;
    margin-top: 250px;
    margin-left: 20px;
    background: #fff; 
    padding: 10px;
    border-radius: 10px;
}

/* Style pour le sous-titre de la bannière */
.banner-subtitle {
    color: #FFF;
    padding: 5px;
    background-color: var(--bleu);
    border-radius: 10px;
    width: 50%;
    margin-bottom: 10px;
    margin-top: 10px;
}

/* Style pour le texte de la bannière */
.banner-text {
    text-align: left;
    font-weight: bold;
    color: #000;
    line-height: 1.1;
}

/* Media queries pour la responsivité */
@media (max-width: 1300px) {
    .banner{
        margin-top: 6%;
        height: 600px;
    }
    .banner-content{
        margin-top: 200px;
    }
}
@media (max-width: 768px) {
    .banner {
        padding: 30px 15px;
    }

    .banner-content {
        padding: 15px;
        margin-top: 120px;
    }
}

@media (max-width: 480px) {
    .banner {
        padding: 20px 10px;
        height: 300px;
        margin-top: 100px;
        background-size: cover;
    }
    .banner-subtitle{
        width: 80%;
        padding: 5px;
    }

    .banner-content {
        padding: 10px;
        width: 50%;
        margin-top: 140px;
    }
}
/*********************************************************************************************/
/* Conteneur principal pour la section */
.container {
    padding: 20px;

}

/* Style pour la section principale */
.main-section {
    width: 80%;
    padding: 40px 0;
    background-color: #f9f9f9;
    padding-left: 10%;
    padding-right: 10%;
    margin-bottom: 5%;
}

/* Disposition du texte et du sous-titre */
.text-subtitle {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 40px;
    flex-wrap: wrap;
    gap: 20px;
}

/* Sous-titre à gauche */
.subtitle-left {
    flex: 1;
    text-align: left;
    padding-right: 5px;
    border-right: 5px solid #9b9898;
}

.subtitle-left h1 {
    margin: 0;
    font-family: 'cabin';
    color: #000;
}

/* Texte à droite */
.text-right {
    flex: 1;
}
.text-right p{
    text-align: left;
}

/* Style pour la grille de six éléments */
.grid {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 20px;
}

.grid-item {
    background-color: #ffffff;
    padding: 20px;
    border-radius: 15px;
    border: 1px solid #ddd;
    text-align: center;
}
.bleu {
    background-color: var(--bleu);
}


.grid-item img {
   width: 44px;
   height: 44px;
    height: auto;
}

.grid-item h3 {
    margin: 10px 0 5px 0;
    color: #333;
}

.grid-item p {
    margin: 0;
    text-align: left;
    color: #666;
}

/* Media queries pour rendre la section responsive */
@media (max-width: 1300px){
    .container {
        padding: 20px;
        width: 90%;
        margin-left: 5%;
        margin-right: 10%;
    }
    .main-section {
        width: 80%;
    }

}
@media (max-width: 768px) {
    .text-subtitle {
        flex-direction: column;
    }
    .subtitle-left{
        border-right: none;
        border-bottom: 5px solid #9b9898;
    }

    .subtitle-left, .text-right {
        text-align: center;
        padding: 0;
    }

    .grid {
        grid-template-columns: repeat(1, 1fr);
    }
    .grid-item img{
        width: 30%;
    }
}

@media (max-width: 480px) {
    .container{
        margin-left: 0px;
    }
    .main-section{
        width: 80%;
    }
    .grid {
        grid-template-columns: 1fr;
    }
    .subtitle-left h2{
        text-align: center;
        margin-bottom: 5px;
    }
    .text-right p{
        margin-top: -5px;
    }
    .grid-item h3{
        text-align: left;
        font-size: 13px;
    }

}
/***********************************************************************/

/* Style pour la section processus */
.process-section {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    width: 60%;
    max-width: 1200px;
    margin: 0 auto;
    padding: 40px 20px;
    gap: 100px;
    position: relative;
}

/* Conteneur pour l'image */
.image-container {
    flex: 1;
    width: 60%;
    min-width: 200px;
    position: relative;
}

.process-image {
    width: 100%;
    height: auto;
    border-radius: 10px;
}

/* Overlay pour le motif et la couleur */
.image-overlay {
    position: absolute;
    bottom: -60px;
    left: -10%;
    width: 150px;
    height: 150px;
    background: url('images/expertises/Pattern.png') no-repeat center center;
    background-size: cover;
    z-index: -1;
    border-radius: 10px;
}

.image-overlay::before {
    content: '';
    position: absolute;
    top: -290px;
    right: -490px;
    width: 100px;
    height: 100px;
    background-color: var(--bleu);
    border-radius: 10px;
    z-index: -2;
}

/* Conteneur pour le contenu */
.content-container {
    flex: 1;
    min-width: 300px;
    text-align: left;
}

.tagline {
    display: inline-block;
    background-color: var(--bleu);
    color: #fff;
    padding: 5px 15px;
    border-radius: 20px;
    font-size: 12px;
    margin-bottom: 10px;
}

.content-container h1 {
    font-family: 'cabin';
    margin: 10px 0;
    color: #000;
}

.process-steps {
    margin-top: 20px;
}

.process-step {
    display: flex;
    align-items: flex-start;
    margin-bottom: 20px;
}

.step-icon {
    width: 30px;
    height: 30px;
    margin-right: 15px;
}

.step-content h3 {
    margin: 0 0 5px 0;
    color: #333;
}

.step-content p {
    text-align: left;
    color: #666;
    text-wrap: wrap;
}

/* Media query pour les petits écrans */
@media (max-width:1300px) {

    .process-section{
        margin-left: 10%;
        margin-right: 10%;
        width: 80%;
    }
    .content-container{
        width: 60%;

    }
    .image-overlay {
        position: absolute;
        bottom: -60px;
        left: -10%;
        width: 150px;
        height: 150px;
        background: url('images/expertises/Pattern.png') no-repeat center center;
        background-size: cover;
        z-index: -1;
        border-radius: 10px;
    }
    .image-overlay::before {
        content: '';
        position: absolute;
        top: -250px;
        right: -400px;
        width: 100px;
        height: 100px;
        background-color: var(--bleu);
        border-radius: 10px;
        z-index: -2;
    }
    .image-container{
        width: 70%;
    }
    .step-icon{
        width: 20px;
        height: 20px;
    }
}
@media (max-width: 768px) {
    .process-section {
        margin-left: 2%;
        flex-direction: column;
        text-align: center;
    }

    .process-section{
        gap: 10px;
    }

    .step-icon {
        margin: 0 auto 10px auto;
    }

    .step-content h3 {
        text-align: left;
        margin-left: 10px;
    }
    .image-container{
        width: 100%;
    }

    .image-overlay, .image-overlay::before {
        display: none; /* Cache les éléments décoratifs sur les petits écrans */
    }
}
/**********************************************************************/
.form{
    background-color: #eaeaea;
}
.contact-section {
    margin-top: 6%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: flex-start;
    width: 60%;
    max-width: 1200px;
    margin-left: 20%;
    margin-right: 20%;
    padding: 20px;
}

.contact-info {
    flex: 1;
    max-width: 40%;
    padding: 10px;
}

.info-tag {
    display: inline-block;
    background-color: var(--vert);
    color: #ffffff;
    border-radius: 20px;
    padding: 5px 15px;
    font-size: 14px;
    margin-bottom: 20px;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5); /* Ombre noire */
}

.info-title {
    font-family: 'cabin';
    margin: 0 0 20px;
    color: var(--bleu);
}

.info-text {
    line-height: 1.1;
    text-align: left;
    word-spacing: -0.09em;
    margin: 0 0 10px;
    color: #000;
}

.info-item {
    display: flex;
    align-items: center;
    margin-bottom: 20px;
}

.info-icon {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    color: #ffffff;
    font-size: 24px;
    margin-right: 15px;
}

.info-heading {
    margin: 0 0 5px;
    color: var(--bleu);
}

.info-detail {
    margin: 0;
    color: #666;
}

.contact-form {
    flex: 2;
    max-width: 45%;
    padding: 20px;
    margin-top: 20px;
    margin-right: 10%;
}

.form-group {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    margin-bottom: 20px;
}

.form-group input,
.form-group textarea {
    width: 100%;
    padding: 15px;
    border: 1px solid #ccc;
    border-radius: 10px;
    font-size: 14px;
}

.form-group input {
    flex: 1;
}

.form-group textarea {
    flex: 1 0 100%;
}

button {
    background-color: var(--bleu);
    color: #ffffff;
    border: none;
    width: auto;
    border-radius: 20px;
    padding: 15px 30px;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s;
}

button:hover {
    background-color: var(--vert);
}

/* Responsive styles */
@media (max-width:1300px) {
    .contact-section{
        width: 80%;
        margin-left: 10%;
        margin-right: 10%;
    }
}
@media (max-width: 768px) {
    .contact-section {
        width: 80%;
        margin-left: 10%;
        margin-right: 10%;
        flex-direction: column;
        padding: 20px;
    }
    .contact-form{
        margin-top: 20px;
    }

    .contact-info,
    .contact-form {
        max-width: 100%;
    }
}

@media (max-width: 480px) {

    .info-text,
    .info-heading,
    .info-detail {
        font-size: 14px;
    }

    .info-icon {
        width: 40px;
        height: 40px;
        font-size: 20px;
    }

    .form-group input,
    .form-group textarea {
        padding: 10px;
        font-size: 12px;
    }

    button {
        padding: 10px 20px;
        font-size: 12px;
    }
}
/**********************************************************************/

.checkbox-container {
    display: flex;
    align-items: center;
    font-size: 16px;
    max-width: 100%;
    flex-wrap: wrap;
    text-align: center;
    margin-bottom: 5%;
}

.checkbox-container input[type="checkbox"] {
    margin-right: 10px;
    cursor: pointer;
}

.checkbox-container label {
    cursor: pointer;
    display: inline-block;
    margin: 0;
}

.checkbox-container a {
    color: var(--bleu);
    text-decoration: none;
}

.checkbox-container a:hover {
    text-decoration: underline;
}

/* Media Queries for Responsiveness */
@media (max-width: 768px) {
    .checkbox-container {
        font-size: 14px;
        justify-content: center;
        text-align: center;
    }
    .checkbox-container input[type="checkbox"] {
        margin-right: 5px;
    }
}

@media (max-width: 480px) {
    .checkbox-container {
        font-size: 12px;
    }
    .checkbox-container input[type="checkbox"] {
        margin-right: 5px;
    }
}